Bug 448565 - Review Request: xorg-x11-drv-sunffb - X driver for sunffb hardware
Summary: Review Request: xorg-x11-drv-sunffb - X driver for sunffb hardware
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-27 17:17 UTC by Dennis Gilmore
Modified: 2008-06-06 21:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-06 21:45:41 UTC
Type: ---
bdpepple: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Dennis Gilmore 2008-05-27 17:17:47 UTC
Spec URL: http://ausil.us/packages/xorg-x11-drv-sunffb.spec
SRPM URL: http://ausil.us/packages/xorg-x11-drv-sunffb-1.1.0-3.fc9.git20080526.src.rpm
Description: 
X driver for sunffb hardware

Comment 1 Dennis Gilmore 2008-06-03 23:23:16 UTC
scratch build http://sparc.koji.fedoraproject.org/koji/taskinfo?taskID=59198

Comment 2 Brian Pepple 2008-06-05 00:58:22 UTC
Good:
* Verified source tarball against git.
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds.
* Files have appropriate permissions and owners

Bad:
* rpmlint produces the following error:
xorg-x11-drv-sunffb.sparcv9: W: invalid-license MIT/X11

Looking at the license matrix, it looks like it should just be MIT.  You can fix
this when you import this into CVS.

Note: I don't have the hardware to verify that this driver works, but from a
packaging standpoint this package looks fine.

+1 APPROVE.

Comment 3 Dennis Gilmore 2008-06-06 04:26:38 UTC
Package Name: xorg-x11-drv-sunffb
Short Description: X driver for sunffb
Owners: ausil spot jima pjones
Branches: F-9
InitialCC:
Cvsextras Commits: yes

Comment 4 Dennis Gilmore 2008-06-06 21:45:41 UTC
imported and built  thanks for the review


Note You need to log in before you can comment on or make changes to this bug.